package nstatus

import "git.noahlan.cn/noahlan/ntool-biz/core/nstatus/code"

func NewApiErr(code int, message string) error {
	return NewResult(code, message)
}

func NewApiErrWithCode(code int) error {
	return NewApiErr(code, "")
}

func NewApiInternalErr(msg string) error {
	return NewApiErr(code.StatusInternalServerError, msg)
}

func NewApiBadRequestErr(msg string) error {
	return NewApiErr(code.StatusBadRequest, msg)
}

func NewApiUnauthorizedErr(msg string) error {
	return NewApiErr(code.StatusUnauthorized, msg)
}

func NewApiForbiddenErr(msg string) error {
	return NewApiErr(code.StatusForbidden, msg)
}

func NewApiNotFoundErr(msg string) error {
	return NewApiErr(code.StatusNotFound, msg)
}

func NewApiBadGatewayErr(msg string) error {
	return NewApiErr(code.StatusBadGateway, msg)
}
